k_conv2d {keras} | R Documentation

## 2D convolution.

### Description

2D convolution.

### Usage

    k_conv2d(x, kernel, strides = c(1, 1), padding = "valid",
      data_format = NULL, dilation_rate = c(1, 1))

### Arguments

`x` | Tensor or variable.
`kernel` | kernel tensor.
`strides` | strides
`padding` | string, `"same"` or `"valid"`.
`data_format` | string, `"channels_last"` or `"channels_first"`. Whether to use Theano or TensorFlow/CNTK data format for inputs/kernels/outputs.
`dilation_rate` | vector of 2 integers.

### Value

A tensor, result of 2D convolution.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]